package uci.inf221.lunarLander.arch.c2;

import uci.inf221.lunarLander.arch.Message;
import uci.inf221.lunarLander.arch.Port;

public abstract class C2BottomPort extends Port {
	
	@Override
	protected void receiveMessage(Message message) {
		if (!(message instanceof C2Request))
			throw new RuntimeException(
					"Bottom port received message that is not a request: "
							+ message.toString());

		receiveRequest((C2Request) message);
	}

	public void sendNotification(C2Notification message) {
		sendMessage(message);
	}

	protected abstract void receiveRequest(C2Request request);

}
