package uci.inf221.lunarLander.arch.c2;

import uci.inf221.lunarLander.arch.Message;

public class C2Notification extends Message {
	private static final long serialVersionUID = -4904421034264217226L;

	private transient C2Component source;
	private transient C2Component initiator;
	private transient Object initiatorData;

	public C2Notification() {
	}

	public C2Notification(C2Component source) {
		this.source = source;
	}

	public C2Component getSource() {
		return source;
	}

	public C2Component getInitiator() {
		return initiator;
	}

	public void setInitiator(C2Component initiator) {
		this.initiator = initiator;
	}

	public Object getInitiatorData() {
		return initiatorData;
	}

	public void setInitiatorData(Object initiatorData) {
		this.initiatorData = initiatorData;
	}

	public void setInitiatorRequest(C2Request initiatorRequest) {
		setInitiator(initiatorRequest.getSource());
		setInitiatorData(initiatorRequest.getSourceData());
	}

	@Override
	public C2Notification clone() {
		C2Notification clone = (C2Notification) super.clone();
		clone.source = this.source;
		clone.initiator = this.initiator;
		clone.initiatorData = this.initiatorData;
		return clone;
	}

}
