package uci.inf221.lunarLander.dataStore.message;

import java.util.UUID;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;
import uci.inf221.lunarLander.dataStore.entities.MovementVector;

public class MovementVectorUpdatedNotification extends C2Notification {

	private static final long serialVersionUID = 7971497689719832687L;
	private UUID entityId;
	private MovementVector movementVector;

	public MovementVectorUpdatedNotification() {
		super();
	}

	public MovementVectorUpdatedNotification(C2Component source, UUID entityId,
			MovementVector movementVector) {
		super(source);
		this.entityId = entityId;
		this.movementVector = movementVector;
	}

	public UUID getEntityId() {
		return entityId;
	}

	public MovementVector getMovementVector() {
		return movementVector;
	}

}
