package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;
import uci.inf221.lunarLander.dataStore.entities.Level.LevelStatus;

public class UpdateLevelStatusRequest extends C2Request {

	private static final long serialVersionUID = 6081885324084925769L;

	private LevelStatus levelStatus;

	public UpdateLevelStatusRequest(C2Component source, LevelStatus status) {
		this(source, null, status);
	}

	public UpdateLevelStatusRequest(C2Component source, Object sourceData,
			LevelStatus status) {
		super(source, sourceData);
		levelStatus = status;
	}

	public LevelStatus getLevelStatus() {
		return levelStatus;
	}

}
