package uci.inf221.lunarLander.net.connector.clientToServer.message;

import uci.inf221.lunarLander.arch.Message;
import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;

public class NewMessageNotification extends C2Notification {

	private static final long serialVersionUID = 1393118882953688139L;

	private transient Message message;
	private boolean important;

	public NewMessageNotification(C2Component source, Message message,
			boolean important) {
		super(source);
		this.message = message;
		this.important = important;
	}

	public Message getMessage() {
		return message;
	}

	public boolean isImportant() {
		return important;
	}

	@Override
	public NewMessageNotification clone() {
		NewMessageNotification clone = (NewMessageNotification) super.clone();
		clone.message = this.message.clone();
		return clone;
	}

}
