package uci.inf221.lunarLander.net.connector.serverToClients.message;

import uci.inf221.lunarLander.arch.Message;
import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;

public class HandleIncomingMessageRequest extends C2Request {

	private static final long serialVersionUID = -8730804511651535190L;

	private transient Message message;
	private int remoteConnectionId;

	public HandleIncomingMessageRequest(C2Component source, Message message,
			int remoteConnectionId) {
		super(source);
		this.message = message;
		this.remoteConnectionId = remoteConnectionId;
	}

	public Message getMessage() {
		return message;
	}

	public int getRemoteConnectionId() {
		return remoteConnectionId;
	}

	@Override
	public HandleIncomingMessageRequest clone() {
		HandleIncomingMessageRequest clone = (HandleIncomingMessageRequest) super
				.clone();
		clone.message = this.message.clone();
		return clone;
	}

}
