package uci.inf221.lunarLander.utils;

import java.io.ByteArrayInputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;

import org.apache.commons.io.output.ByteArrayOutputStream;
import org.apache.log4j.Logger;

public class ObjectCloner {
	private static Logger log = Logger.getLogger(ObjectCloner.class);

	public static <T extends Serializable> T deepCopy(T obj) {
		ObjectInputStream is = null;
		ObjectOutputStream os = null;
		try {
			ByteArrayOutputStream bos = new ByteArrayOutputStream();
			os = new ObjectOutputStream(bos);
			os.writeObject(obj);
			ByteArrayInputStream bin = new ByteArrayInputStream(
					bos.toByteArray());
			is = new ObjectInputStream(bin);
			@SuppressWarnings("unchecked")
			T clone = (T) is.readObject();
			return clone;
		} catch (Exception e) {
			log.error("could not copy object", e);
		} finally {
			try {
				if (os != null)
					os.close();
				if (is != null)
					is.close();
			} catch (Exception e) {
			}
		}
		return null;
	}
}
